+ Reply to Thread
Page 2 of 3 FirstFirst 123 LastLast
Results 11 to 20 of 21

Thread: Hacked!

  1. #11
    Master
    Join Date
    Oct 2019
    Location
    Hungary
    Posts
    352
    Quote Originally Posted by Bahram Soltanirad View Post
    All occurrences of the code should be changed.
    payment date is in database not here.
    I found the code in 4 places, changed it in two places and it's good. So, if I understand correctly, should I change it in all four places?

  2. #12
    Yes, it's better.

  3. #13
    Master
    Join Date
    Oct 2019
    Location
    Hungary
    Posts
    352
    All right. I cooked it in all four places and it's good. Thanks for the fix

  4. #14
    Senior Member
    Join Date
    Nov 2021
    Posts
    149
    Hi guys!
    Please give me a ready-made solution, otherwise I'm already confused about 4 places, what and where to change)))

  5. #15
    Flynax developer John's Avatar
    Join Date
    Oct 2009
    Posts
    601
    Hello Guys,
    The fix is fully compatible with version from 4.7.0 to the latest.

    Also about Bahram's corrections, the default value of the `$codeFields` variable is array, so we should not check it for the data type. You may also mark the parameter as array if you feel that it may cause the problems but I don't think it is required for now.

    Thanks to all for participating!
    John

  6. #16
    Flynax developer John's Avatar
    Join Date
    Oct 2009
    Posts
    601
    But Bahram's comment about `Pay_date` has been reproduced, you should add the fields set as default value for $codeFields variable, like this:

    PHP Code:
    Only registered members can view the code
    I have updated the initial code on the first thread page.

    John
    Last edited by John; November 7, 2022 at 11:48 AM.

  7. #17
    Hello,

    I am also interested to apply the fix.

    I have upgraded my 4.9.0 to 4.9.1 and searched my file rlDb.class.php and I have found my version of this file is NOT the same as the rlDb.class.php posted here.

    So, here is the 4.9.1 version of my rlDb.class.php
    Code:
    Only registered members can view the code.
    Please, give me fix that will work on my rlDb.class.php and instructions where exactly to replace the code.

    Thanks

  8. #18
    Senior Member
    Join Date
    May 2020
    Posts
    179
    is this update include also for all old version like 4.8 ?

  9. #19
    Flynax developer John's Avatar
    Join Date
    Oct 2009
    Posts
    601
    Hello Olcay.
    >>is this update include also for all old version like 4.8 ?
    The fix is fully compatible with versions from 4.7.0 and above!

    John

  10. #20
    Senior Member
    Join Date
    May 2020
    Posts
    179
    Quote Originally Posted by John View Post
    Hello Olcay.
    >>is this update include also for all old version like 4.8 ?
    The fix is fully compatible with versions from 4.7.0 and above!

    John
    Thank you @John

+ Reply to Thread